Package org.springframework.security.config.http

# Class CorsBeanDefinitionParser

java.lang.Object
org.springframework.security.config.http.CorsBeanDefinitionParser

public class CorsBeanDefinitionParser extends Object
Parser for the `CorsFilter`.

Since:
  4.1.1

## Constructor Summary

Constructors
Constructor
Description
`CorsBeanDefinitionParser()`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.beans.BeanMetadataElement`
`getSource(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)`
`org.springframework.beans.BeanMetadataElement`
`parse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CorsBeanDefinitionParser

public CorsBeanDefinitionParser()

## Method Details

### parse

public org.springframework.beans.BeanMetadataElement parse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)

### getSource

public org.springframework.beans.BeanMetadataElement getSource(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)